Description

Configure the import policy to import the English works accordingly

Subtasks:

Task # 567: Import works of Aeschylus Closed

Task # 568: Import works of Appian Closed

Task # 569: Import works of Aristophanes Closed

Task # 570: Import Elegy and Iambus Closed

Task # 571: Import works of Euripides Closed

Task # 572: Import works of Hippocrates Closed

Task # 573: Import works of Homer Closed

Task # 574: Import works of Plutarch Closed

Task # 575: Import works of Polybius Closed

Task # 576: Import works of Sophocles Closed

Task # 577: Import works of Xenophon Closed

Associated revisions

Revision 413 - 03/15/2013 01:45 AM - Luke Murphey

Updated the import policy to allow importation of Aristophanes' works. Closes #555.

Revision 413 - 03/15/2013 01:45 AM - Luke Murphey

Updated the import policy to allow importation of Aristophanes' works. Closes #555.

Revision 403 - 03/15/2013 01:45 AM - Luke Murphey

Updated the import policy to allow importation of Aristophanes' works. Closes #555.

History

#1 - 03/09/2013 08:46 PM - Luke Murphey

I need to set the title slug on almost of of these works.

Aeschines

Aeschylus: need to use line numbers, need to first verse of Agamemnon is double counted as "1", might need to use different state set, line

numbers are off

Andocides

Apollodorus

Appian: The Foreign Wars has odd chapter breaks (see the section title "Manuscripts") and verse breaks (see "OF SICILY AND THE OTHER

ISLANDS"); The Civil Wars starts with verse 0

Aretaeus

Aristophanes: needs to use line numbers and a different state set

Aristotle: politics lists the division number at the bottom for no good reason

Bacchylides: did not import

Demosthenes

Dinarchus

Diodorus Siculus: none imported

Diogenes Laertius

Elegy and Iambus, Volume I, Elegy and Iambus, Volume II: lots of changes needed for divisions (ignore_undeclared_divs, delete unnecessary
divs, etc).

Euclid

Euripides: use line numbers and other related settings from Greek works

Galen

Herodotus

Hesiod

Hippocrates: The Genuine Works of Hippocrates has messed up divisioning, see "Of the Epidemics PART 3" and note that multiple section 1s

exist and the TOC does not track the user's place

Homer: need to use line numbers, The Iliad contains beta-code of Greek words but these cannot be looked up. The Odyssey contains empty

division descriptors (see paginator)

Hyperides

Flavius Josephus

Pausanias

Pindar: did not import

Plato

Plutarch: Ad principem ineruditum, Quomodo adulator ab amico internoscatur, Quomodo quis suos in virtute sentiat profectus and De virtute et

vitio have duplicated verse descriptor, Apophthegmata Laconica, Quaestiones Convivales, Regum et imperatorum apophthegmata and

Lacaenarum Apophthegmata and have single division paginators, the chapter descriptor for Lacaenarum Apophthegmata 3.1 contains

"GORGOGorgo" with no spaces in between

Polybius: Histories is missing chapter 15 and 17

Sophocles: need to use lines numbers and division marker cleanup

Strabo

Xenophon: "Works on " needs title adjustment and has single value division descriptors

First verse may need to be set to "prologue" or "introduction".

#2 - 03/12/2013 07:31 AM - Luke Murphey

Apparently line numbers are sometimes indicated in a different way in some English works. Foe example, Agamemnon, Eumenides, Persians all take

line numbers as parameters from the milestones.

#3 - 03/12/2013 07:35 AM - Luke Murphey

- Status changed from New to In Progress

#4 - 03/15/2013 02:28 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 25 to 100

Applied in changeset r413.

#5 - 03/15/2013 02:29 AM - Luke Murphey

- Status changed from Closed to In Progress
#6 - 03/23/2013 10:05 PM - Luke Murphey

- Status changed from In Progress to Closed
